Package Details: mplayer2 20131009-14

Git Clone URL: https://aur.archlinux.org/mplayer2.git (read-only)
Package Base: mplayer2
Description: Advanced general-purpose media player. A fork of the original MPlayer project
Upstream URL: https://github.com/nezumisama/mplayer2
Keywords: media player video
Licenses: GPL
Conflicts: mplayer
Provides: mplayer
Submitter: Barthalion
Maintainer: applebloom
Last Packager: applebloom
Votes: 49
Popularity: 0.000040
First Submitted: 2013-10-04 10:30
Last Updated: 2018-11-11 19:41

Dependencies (42)

Required by (139)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6

simonsd commented on 2013-11-18 22:49

Also libmng seems to be missing as dependency.
Suspect this usually goes unnoticed due to people upgrading from mplayer and thus already having it installed.

Laerten commented on 2013-11-13 15:53

:: mesa-libgl and nvidia-libgl are in conflict (libgl). Remove nvidia-libgl? [y/N]

I just edit PKGBUILD and replaced in makedepends "mesa-libgl" with "nvidia-libgl"
Seems it works fine

mazieres commented on 2013-11-11 06:56

I can confirm that a libgl dependency makes mplayer2 work fine with my nvidia card. Please make this change.

Reihar commented on 2013-11-01 21:33

Shouldn't the dep "libgl" replace "mesa-libgl" ? You don't need this implementation, you just need one. "nvidia-libgl" works just fine for example.

Barthalion commented on 2013-10-27 14:47

Build in chroot environment and you won't encounter any problem.

dsohler commented on 2013-10-27 14:39

:: mesa-libgl and nvidia-libgl are in conflict (libgl). Remove nvidia-libgl? [y/N]

rpolzer commented on 2013-10-22 18:24

./TOOLS/file2string.py etc/input.conf >input/input.conf.h
Traceback (most recent call last):
File "./TOOLS/file2string.py", line 23, in <module>
main(infile)
File "./TOOLS/file2string.py", line 19, in main
sys.stdout.write('"' + ''.join(conv[c] for c in line) + '"\n')
File "./TOOLS/file2string.py", line 19, in <genexpr>
sys.stdout.write('"' + ''.join(conv[c] for c in line) + '"\n')
TypeError: list indices must be integers, not str
Makefile:555: recipe for target 'input/input.conf.h' failed
make: *** [input/input.conf.h] Error 1
make: *** Deleting file 'input/input.conf.h'

I suspect a python2/python3 issue. Maybe this can be fixed by configure flags or environment variables? If yes, please do so.

0ion9 commented on 2013-10-19 05:32

This builds fine with nvidia-libgl rather than mesa-libgl. The correct dependency to have is probably 'libgl' (which both packages provide)